Reverse accrual
curl --request POST \
--url https://api.entendre.finance/v1/accruals/{accrual_id}/reverse \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'X-API-Key: <api-key>' \
--data '
{
"reversal_date": "2026-08-31",
"reason": "Correct the selected accounting records."
}
'const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'X-API-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
reversal_date: '2026-08-31',
reason: 'Correct the selected accounting records.'
})
};
fetch('https://api.entendre.finance/v1/accruals/{accrual_id}/reverse', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.entendre.finance/v1/accruals/{accrual_id}/reverse"
payload = {
"reversal_date": "2026-08-31",
"reason": "Correct the selected accounting records."
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"accrual_id": "acc_507f1f77bcf86cd799439011",
"journal_entry_id": "je_507f1f77bcf86cd799439011",
"reversal_journal_entry_id": "je_507f1f77bcf86cd799439011",
"reversal_date": "2026-08-31",
"status": "reversed"
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid path, query or request body.",
"request_id": "req_example"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication is required.",
"request_id": "req_example"
}
}{
"error": {
"code": "FORBIDDEN",
"message": "Insufficient access to organization",
"request_id": "req_example"
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Resource not found",
"request_id": "req_example"
}
}{
"error": {
"code": "CONFLICT",
"message": "The resource state does not allow this operation.",
"request_id": "req_example"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Rate limit exceeded. Retry after 30s.",
"request_id": "req_example"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Internal server error",
"request_id": "req_example"
}
}{
"error": {
"code": "SERVICE_UNAVAILABLE",
"message": "Service unavailable.",
"request_id": "req_example"
}
}Accruals
Reverse accrual
Creates a reversal linked to the accrual. Send today’s date (UTC) as the reversal date, and a reason.
POST
/
v1
/
accruals
/
{accrual_id}
/
reverse
Reverse accrual
curl --request POST \
--url https://api.entendre.finance/v1/accruals/{accrual_id}/reverse \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'X-API-Key: <api-key>' \
--data '
{
"reversal_date": "2026-08-31",
"reason": "Correct the selected accounting records."
}
'const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'X-API-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
reversal_date: '2026-08-31',
reason: 'Correct the selected accounting records.'
})
};
fetch('https://api.entendre.finance/v1/accruals/{accrual_id}/reverse', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.entendre.finance/v1/accruals/{accrual_id}/reverse"
payload = {
"reversal_date": "2026-08-31",
"reason": "Correct the selected accounting records."
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"accrual_id": "acc_507f1f77bcf86cd799439011",
"journal_entry_id": "je_507f1f77bcf86cd799439011",
"reversal_journal_entry_id": "je_507f1f77bcf86cd799439011",
"reversal_date": "2026-08-31",
"status": "reversed"
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid path, query or request body.",
"request_id": "req_example"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication is required.",
"request_id": "req_example"
}
}{
"error": {
"code": "FORBIDDEN",
"message": "Insufficient access to organization",
"request_id": "req_example"
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Resource not found",
"request_id": "req_example"
}
}{
"error": {
"code": "CONFLICT",
"message": "The resource state does not allow this operation.",
"request_id": "req_example"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Rate limit exceeded. Retry after 30s.",
"request_id": "req_example"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Internal server error",
"request_id": "req_example"
}
}{
"error": {
"code": "SERVICE_UNAVAILABLE",
"message": "Service unavailable.",
"request_id": "req_example"
}
}Authorizations
Your organization API key. Some operations also need a key that is associated with a user; their pages say so.
Headers
Unique key for this operation. Retry with the same key and request body after a timeout. Keys are retained for at least 24 hours.
Required string length:
1 - 255Path Parameters
ID of the accrual.
Minimum string length:
1Body
application/json
Response
Created.
Show child attributes
Show child attributes